# $Revision: 1.25 $, $Date: 2012/04/03 18:08:31 $
Summary:	Logging service for Telepathy
Summary(pl.UTF-8):	Usługa logowania dla Telepathy
Name:		telepathy-logger
Version:	0.4.0
Release:	1
License:	LGPL
Group:		Applications
Source0:	http://telepathy.freedesktop.org/releases/telepathy-logger/%{name}-%{version}.tar.bz2
# Source0-md5:	0b891b860c7f3a01926f5cc22fd26120
URL:		http://telepathy.freedesktop.org/wiki/Logger
BuildRequires:	autoconf >= 2.66
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 1.1.0
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils > 0.17.3
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	gtk-doc-automake >= 1.10
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	sqlite3-devel
BuildRequires:	telepathy-glib-devel >= 0.16.0
BuildRequires:	xorg-lib-libICE-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides logging service for Telepathy.

%description -l pl.UTF-8
Ten pakiet udostępnia usługę logowania dla Telepathy.

%package apidocs
Summary:	telepathy-logger library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki telepathy-logger
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
telepathy-logger library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki telepathy-logger.

%package libs
Summary:	telepathy-logger shared library
Summary(pl.UTF-8):	Biblioteka telepathy-logger
Group:		Libraries
Requires:	telepathy-glib >= 0.16.0

%description libs
telepathy-logger shared library.

%description libs -l pl.UTF-8
Biblioteka telepathy-logger.

%package devel
Summary:	Header files for telepathy-logger library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki telepathy-logger
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0
Requires:	libxml2-devel
Requires:	telepathy-glib-devel >= 0.16.0

%description devel
Header files for telepathy-logger library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki telepathy-logger.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post libs	-p /sbin/ldconfig
%postun libs	-p /sbin/ldconfig

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libexecdir}/telepathy-logger
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Logger.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Logger.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.Telepathy.Logger.gschema.xml
%{_datadir}/telepathy/clients/Logger.client

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/telepathy-logger

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-logger.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-logger.so.2
%{_libdir}/girepository-1.0/TelepathyLogger-0.2.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-logger.so
%{_includedir}/telepathy-logger-0.2
%{_pkgconfigdir}/telepathy-logger-0.2.pc
%{_datadir}/gir-1.0/TelepathyLogger-0.2.gir

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-logger.spec,v $
Revision 1.25  2012/04/03 18:08:31  megabajt
- updated to 0.4.0

Revision 1.24  2011/11/17 23:28:59  kiesiu
- updated to 0.2.12

Revision 1.23  2011/11/01 21:58:09  kiesiu
- updated to 0.2.11

Revision 1.22  2011/09/05 16:47:46  wiget
- enable call
- rel. 2

Revision 1.21  2011/06/01 20:52:46  megabajt
- updated to 0.2.10

Revision 1.20  2011/04/02 18:28:25  megabajt
- updated to 0.2.8 (new soname)

Revision 1.19  2011/03/26 10:18:20  caleb
- Up to 0.2.7
- Downgrade so version number. Upstream project decided to maintain 0.1.x API compatability through 0.2.x releases.

Revision 1.18  2011/03/22 23:30:35  megabajt
- updated to 0.2.6

Revision 1.17  2011/03/06 14:08:59  patrys
- introspection

Revision 1.16  2011/03/05 18:23:51  caleb
- Up to 0.2.5
- Bump so version

Revision 1.15  2011/02/02 01:57:48  sparky
- BR: docbook-dtd412-xml, gettext-devel, intltool, sqlite3-devel

Revision 1.14  2010/12/13 13:54:17  caleb
- Up to 0.1.7

Revision 1.13  2010/12/09 22:07:25  megabajt
- use %glib_compile_schemas

Revision 1.12  2010/11/20 10:33:49  caleb
- Up to 0.1.6

Revision 1.11  2010/10/01 19:05:37  patrys
- don't require future glib releases
- rel 2

Revision 1.10  2010/09/29 17:02:54  patrys
- 0.1.5

Revision 1.9.2.3  2010/09/29 17:02:20  patrys
- bump R:

Revision 1.9.2.2  2010/08/31 12:30:00  patrys
- fix epoch

Revision 1.9.2.1  2010/08/31 12:12:35  patrys
- 0.1.5

Revision 1.9  2010/07/22 19:16:01  patrys
- 0.1.4

Revision 1.8  2010/05/15 00:30:43  sparky
- BR: gtk-doc, xorg-lib-libICE-devel

Revision 1.7  2010/04/28 08:15:31  megabajt
- added pl summaries and descriptions
- release 3

Revision 1.6  2010/04/28 07:39:13  megabajt
- added configure.patch (try to fix build)

Revision 1.5  2010/04/27 19:46:05  patrys
- rel 2

Revision 1.4  2010/04/27 19:41:19  glen
- deps by cleanbuild

Revision 1.3  2010/04/27 19:34:20  patrys
- BR: gnome-common

Revision 1.2  2010/04/27 18:56:57  patrys
- more BR

Revision 1.1  2010/04/27 18:53:19  patrys
- initial PLD release

